Subject: [PATCH] selftests: PAGE_SIZE may not be defined

From: "Thierry Fauck ( thierry @ linux.vnet.ibm.com )" <[email-masked]>
Date: Thu, 15 May 2014 18:02:58 +0200

Hi Ben,

The following patch seems relevant for Ubuntu and Debian distro testing.
I know it's minor but I need to know if you do you care about it or sif
I should remove it from the bugs info.

Thanks

Best regards
Thierry

#---------------------------------------------------------------------------------------------------

>>From 48a9a9834377a74b603be12dcc76cda24105e33c Mon Sep 17 00:00:00 2001

From: Thierry Fauck <[email-masked]>
Date: Fri, 28 Feb 2014 16:17:50 +0100
Subject: [PATCH] selftests: PAGE_SIZE may not be defined

Some systems have a dynamic PAGE_SIZE value and do not add a definition
for PAGE_SIZE. This value will have to be retrieved using getpagesize()
or sysconf().

Signed-off-by: Thierry Fauck <[email-masked]>
---
 tools/testing/selftests/ptrace/peeksiginfo.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/tools/testing/selftests/ptrace/peeksiginfo.c
b/tools/testing/selftests/ptrace/peeksiginfo.c
index d46558b..f2ccbbd 100644
--- a/tools/testing/selftests/ptrace/peeksiginfo.c
+++ b/tools/testing/selftests/ptrace/peeksiginfo.c
@@ -35,7 +35,9 @@ static int sys_ptrace(int request, pid_t pid, void
*addr, void *data)
   fprintf(stderr, \
    "Error (%s:%d): " fmt, \
    __FILE__, __LINE__, ##__VA_ARGS__)
-
+#ifndef PAGE_SIZE
+#define PAGE_SIZE sysconf(_SC_PAGESIZE)
+#endif
 static int check_error_paths(pid_t child)
 {
  struct ptrace_peeksiginfo_args arg;
--
1.9.0

-- 
Thierry Fauck ([email-masked])